#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QWebPage>
#include <QWebFrame>
#include <QWebElement>
#include <QWebElementCollection>
#include <QString>
#include <QStringList>


namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;
    QWebPage *idata;

    QWebFrame *iframe;

    QWebElement document;
    QWebElement table5;
    QWebElement table4;
    QWebElement table1;
    QWebElement tr_data_1;
    QWebElement tr_data_2;
    QWebElement tr_data_7;
    QWebElement tr_data_sf;
    QWebElement td_data;
    QWebElement table5_data;
    QWebElement table4_data;
    QWebElement table1_data;

    QWebElementCollection collection;
    QWebElementCollection td_collection;
    QWebElementCollection table5_collection;
    QWebElementCollection table4_collection;
    QWebElementCollection table1_collection;
    QString day1_raw;
    QString day2_raw;
    QString sf_raw;
    QString ak_line;
    QString a_index;
    QString k_index;
    QString sf;
    QString ssn;

    int num_days;
    bool wv_2;
    bool wv_3;
    bool wv_4;
    bool wv_5;
    bool wv_6;
    bool wv_7;
    bool wv_8;
    bool wv_9;
    bool wv_10;
    bool wv_11;
     bool wv_12;
     bool wv;


public slots:
    void getit();

private slots:
     void on_webView_12_loadFinished(bool );
     void on_webView_11_loadFinished(bool );
     void on_webView_10_loadFinished(bool );
     void on_webView_3_loadFinished(bool );
     void on_webView_loadFinished(bool );
     void on_webView_2_loadFinished(bool );
     void on_webView_9_loadFinished(bool );
     void on_webView_8_loadFinished(bool );
     void on_webView_7_loadFinished(bool );
     void on_webView_6_loadFinished(bool );
     void on_webView_5_loadFinished(bool );
     void on_webView_4_loadFinished(bool );
     void on_test_PB_clicked();
     void parseit();
    void pages_loaded();
    void reload();




};

#endif // MAINWINDOW_H
